| GET | /api/resellers/{ResellerGuid}/collections | Gets a list of Collections that a Reseller has access to. | In addition to returning Collections that are owned by a Reseller, this will also include Collections that have explicitly been granted access to the specific Reseller. |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ResellerGuid | path | Guid | Yes |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| IsDefaultCollectionForSite | body | Boolean | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| CollectionGuid | body | Guid | No | |
| Name | form | string | No | |
| CollectionCode | form | string | No | |
| Status | form | string | No | Allowable Values
|
| CreatedOn | form | DateTime | No | |
| ServicesApiBaseUrl | form | string | No | |
| SiteGuid | body | Guid | No | |
| SiteEndpoint | body | SiteEndpoint | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| SiteGuid | body | Guid | No | |
| Guid | body | Guid | No | |
| Name | body | String | No | |
| SiteVersion | body | String | No | |
| Description | body | String | No | |
| Url | body | String | No | |
| CreatedOn | body | DateTime | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /api/resellers/{ResellerGuid}/collections HTTP/1.1
Host: api.secure-messaging.com
Accept: application/json
HTTP/1.1 200 OK Content-Type: application/json Content-Length: length []